## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/projects/{projectId}/logs

### Try it

### Get Log Entries

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/logs \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/logs"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/logs",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/logs"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### HTTP Responses

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

### Response Example

#### Success Response
```json
{
  "items": [
    {
      "_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "msg": "<string>",
      "meta": {},
      "traceId": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

#### Error Response
```json
{
  "status": 123,
  "code": 123,
  "type": "<string>",
  "detail": "The provided cursor value is invalid."
}
```

- **Authorization:
  - APIKeyHeader  
  - APIKeyQueryParam  
  - CXoneTokenHeader  
  - OAuth2**  
  - **X-API-Key**: string, header, required  
    Supply the API Key in the HTTP-Header

### Headers
#### Accept
`Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters
- **projectId**: string, required, the unique identifier for the Project.  Required string length: `24`, Pattern: `^[a-z0-9]{24}$`

### Query Parameters
- **filter**: string, the type, msg or traceId of the log entry to filter the records.
- **limit**: integer, the maximum number of items to return. Required range: `1 <= x <= 100`
- **skip**: integer, the number of items to skip.
- **sort**: string, the order in which results are returned.  e.g., `name:asc` or `name:desc`.
- **next**: string, the cursor that points to the next page of results.
- **previous**: string, the cursor that points to the previous page of results.
- **type**: enum<string>[], Available options: `fatal`, `error`, `warn`, `info`, `debug`, `trace`.
- **userId**: string.
- **flowName**: string.
- **startDate**: string.
- **endDate**: string.

### Response Structure
- **items**: array of Log Entries
- **total**: integer (e.g., `1`)
- **nextCursor**: string | null
- **previousCursor**: string | null
